package cn.com.ty.lift.common.constants;

public class CommonEnum {

    /**
     * 电梯状态
     */
    public enum LiftStatus implements IEnum {

        STOP_INSURANCE("停保", "1"),
        NORMAL("正常", "2"),
        MAINTENANCE("保养中", "3"),
        EMERGENCY_REPAIR("维修中", "4"),
        ANNUAL_INSPECTION("年检中","5"),
        CAPITAL_REPAIR("大修中","6");
        /**
         * 值
         */
        private String label;

        /**
         * 键
         */
        private String code;

        /**
         * 构造函数
         *
         * @param label String
         * @param code  String
         */
        LiftStatus(String label, String code) {
            this.label = label;
            this.code = code;
        }

        /**
         * 取得枚举区分
         *
         * @return String
         */
        @Override
        public String getEnumName() {
            return "LiftStatus";
        }

        /**
         * get
         *
         * @return String
         */
        @Override
        public String getLabel() {
            return label;
        }

        /**
         * set
         *
         * @return String
         */
        @Override
        public String getCode() {
            return code;
        }

        /**
         * String转换，中间加横杠
         *
         * @return String
         */
        @Override
        public String toString() {
            return this.label;
        }
    }

    /**
     * 项目状态
     */
    public enum ProjectStatus implements IEnum {

        DELETE("删除", "0"),
        NOT_START("尚未开始", "1"),
        IN_SERVICE("服务中", "2"),
        STOP_SERVICE("停止服务", "3"),
        OVERDUE("逾期","4");
        /**
         * 值
         */
        private String label;

        /**
         * 键
         */
        private String code;

        /**
         * 构造函数
         *
         * @param label String
         * @param code  String
         */
        ProjectStatus(String label, String code) {
            this.label = label;
            this.code = code;
        }

        /**
         * 取得枚举区分
         *
         * @return String
         */
        @Override
        public String getEnumName() {
            return "ProjectStatus";
        }

        /**
         * get
         *
         * @return String
         */
        @Override
        public String getLabel() {
            return label;
        }

        /**
         * set
         *
         * @return String
         */
        @Override
        public String getCode() {
            return code;
        }

        /**
         * String转换，中间加横杠
         *
         * @return String
         */
        @Override
        public String toString() {
            return this.label;
        }
    }
}
