package cn.com.ty.lift.enterprise.settings.service.impl;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.ty.lift.enterprise.settings.dao.entity.MaintenanceCompany;
import cn.com.ty.lift.enterprise.settings.dao.entity.model.MtCompanyRequest;
import cn.com.ty.lift.enterprise.settings.dao.mapper.MaintenanceCompanyMapper;
import cn.com.ty.lift.enterprise.settings.service.IMaintenanceCompanyService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 维保公司 服务实现类
 * </p>
 *
 * @author huangy
 * @since 2019-12-09
 */
@Service
public class MaintenanceCompanyServiceImpl extends ServiceImpl<MaintenanceCompanyMapper, MaintenanceCompany> implements IMaintenanceCompanyService {

    @Override
    public RestResponse list(MtCompanyRequest mtCompanyRequest) {
        IPage<MaintenanceCompany> maintenanceCompanyPage = new Page<>(
                mtCompanyRequest.getPageNum(), mtCompanyRequest.getPageSize());
        maintenanceCompanyPage = this.page(
                maintenanceCompanyPage, new QueryWrapper<MaintenanceCompany>()
                //通过公司名称模糊查找公司信息
                .like(StringUtils.isNotBlank(mtCompanyRequest.getName()), "name", mtCompanyRequest.getName())
        );
        return RestResponse.ok(maintenanceCompanyPage, ApiConstants.RESULT_SUCCESS, "获取公司列表成功");
    }
}
