package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.system.user.dao.entity.RoleMenu;
import cn.com.ty.lift.system.user.dao.mapper.RoleMenuMapper;
import cn.com.ty.lift.system.user.service.IRoleMenuService;
import cn.com.ty.lift.system.utils.ProjectUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 角色菜单实现类
 */
@Service
public class RoleMenuService extends ServiceImpl<RoleMenuMapper, RoleMenu> implements IRoleMenuService {

    @Autowired
    private RoleMenuMapper roleMenuMapper;

    @Override
    public boolean saveRoleMenu(Long roleId, String menuIds) {
        List<RoleMenu> needSaveRoleMenuList = new ArrayList<>();
        List<Long> menuIdList = ProjectUtils.getLongIdFromIds(menuIds);
        if (menuIdList.size() > 0) {
            for (Long menuId : menuIdList) {
                RoleMenu roleMenu = new RoleMenu();
                roleMenu.setRoleId(roleId);
                roleMenu.setMenuId(menuId);
                needSaveRoleMenuList.add(roleMenu);
            }
        }
        if (needSaveRoleMenuList.size() > 0) {
            return this.saveBatch(needSaveRoleMenuList);
        }
        return false;
    }

    @Override
    public boolean deleteRoleMenu(Long roleId) {
        int deleteCount = roleMenuMapper.deleteByRoleId(roleId);
        if (deleteCount == 0) {
            return false;
        }
        return true;
    }
}
